<template>
  <div class="message-type ol-bg-light">
    <span>{{ type }}</span>
  </div>
</template>

<script setup lang="ts">
defineProps<{
  type: string;
}>();
</script>

<style scoped lang="scss">
.message-type {
  --bg-base-color: var(--background5); 
  --bg-opacity: 0.05; 
  padding: 2px 4px 2px 4px;
  border-radius: 8px;
  display: flex;
  height: 18px;
  align-items: center;
  justify-content: center;

  span {
    color: var(--text5);
    font-family: Roboto;
    font-size: 12px;
    font-weight: 400;
    line-height: 14px;
    letter-spacing: 0em;
    text-align: left;
    opacity: 0.5;
  }
}
</style>
